Subject: bug#18128: Diff-mode doesn't refine hunks automatically

From: Paul Pogonyshev <[email-masked]>
Date: Mon, 28 Jul 2014 16:45:39 +0200

Actually, it seems it is not enough. My usecase: I open a fairly large diff
file with many changes like

-bla bla bla a long line were some word was changed or maybe two
+bla bla bla a long line where some word was changed or maybe two

I want to be able to immediately see the changes, without reading whole
lines and certainly without visiting the hunks. When Emacs highlights the
change (there is only one above), I see it right away. Otherwise I have to
scan the lines with my eyes, which is tedious and error-prone. Of course I
can also hit C-c C-b on each hunk, but it feels like some sort of work I'd
prefer Emacs do for me.

Paul

On 28 July 2014 16:39, Paul Pogonyshev <[email-masked]> wrote:

> It is enough. Then please add a reference to it to documentation of
> diff-refine-hunk, I wasn't even aware of that mode.
>
> Paul
>
>
> On 28 July 2014 16:28, Eli Zaretskii <[email-masked]> wrote:
>
>> > Date: Mon, 28 Jul 2014 15:59:12 +0200
>> > From: Paul Pogonyshev <[email-masked]>
>> >
>> > Diff-mode should just refine hunks automatically when visiting a
>> buffer. If
>> > it is a performance concern, there should be some customization option
>> for
>> > it and/or this could be done lazily.
>> >
>> > Chunk refining is just too useful to not have.
>>
>> Why isn't diff-auto-refine-mode enough?
>>
>
>